//--------------------------------------------------------------
// $Source: /rcs/vwrcs/components/vwvalidt.hh,v $
// Checked in by: $Author: thinh $
// $Date: 1996/07/25 20:20:38 $ 	  $Revision: 1.16 $
//--------------------------------------------------------------
//	   Copyright(c) 1992, Visual Edge Software Ltd.
//
// ALL RIGHTS RESERVED. This notice is intended as a precaution
// against inadvertent publication, and shall not be deemed to
// consitute an acknowledgment that publication has occurred
// nor to imply any waiver of confidentiality. The year included
// in the notice is the year of the creation of the work.
//--------------------------------------------------------------
// DESCRIPTION:
//	      This file contains the prototypes of the functions
//	      used to validate the non-enumerated types used in
//	      the Vw components.
//--------------------------------------------------------------
#ifndef VWVALIDT_HH
#define VWVALIDT_HH

//--- include files ---

#include <vwtoolkt.hh>

#define VW_INT_UPPER_RANGE	32767
#define VW_INT_LOWER_RANGE	-32768   
#define VW_MAX_FONT_SIZE	2160

#define VwIllegalRGBColor 0xFF000000L

//--- Function Prototypes ---

VMETHODDECL(VwBool) VwIsValidColor ( VwLong );
VMETHODDECL(VwBool) VwIsValidIndex ( VwInt );
VMETHODDECL(VwBool) VwIsValidTabIndex ( VwInt );
VMETHODDECL(VwBool) VwIsValidName ( const String );
VMETHODDECL(VwBool) VwIsValidShortInterval ( VwLong );
VMETHODDECL(VwBool) VwIsValidInterval ( VwLong );
VMETHODDECL(VwBool) VwIsValidPositiveInteger ( VwInt );
VMETHODDECL(VwBool) VwIsValidInteger ( VwInt );
VMETHODDECL(VwBool) VwIsValidDimension ( VwSingle );
VMETHODDECL(VwBool) VwIsValidPositiveValue ( VwInt );
VMETHODDECL(VwBool) VwIsValidPositiveValue ( VwLong );
VMETHODDECL(VwBool) VwIsValidGui ( VwGui_t );
VMETHODDECL(VwBool) VwIsValidPixmap( VwPixmap );
VMETHODDECL(VwBool) VwIsValidFontSize( VwSingle );

#endif // VWVALIDT_HH

//--- end of file ---
